Bug 26638 - System preference ArticleRequestsMandatoryFieldsItemsOnly is unused
Summary: System preference ArticleRequestsMandatoryFieldsItemsOnly is unused
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 14610
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-09 08:12 UTC by Jonathan Druart
Modified: 2020-11-04 12:03 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26638: Remove unused system preference ArticleRequestsMandatoryFieldsItemsOnly (3.79 KB, patch)
2020-10-17 16:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26638: Remove unused system preference ArticleRequestsMandatoryFieldsItemsOnly (3.84 KB, patch)
2020-10-25 20:49 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 26638: Remove unused system preference ArticleRequestsMandatoryFieldsItemsOnly (3.60 KB, patch)
2020-11-03 08:28 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-10-09 08:12:10 UTC
Added by bug 14610 but never used.
It appears in the "local use" pref tab.
Comment 1 Katrin Fischer 2020-10-17 16:07:10 UTC
Created attachment 111945 [details] [review]
Bug 26638: Remove unused system preference ArticleRequestsMandatoryFieldsItemsOnly

The preference was probably added because of a typo, as there is a
used system preference ArticleRequestsMandatoryFieldsItemOnly
(Item vs Items).

This patch fixes the situation:

- syspref.sql had the pref name with the typo, this is fixed.
- A database update removes the unused variable and makes sure
  the used one is added.

To test:
- Look at the local use system preferences, verify the false pref is there
- Look at the other ArticleRequests* preferences, verify the other without "s"
  is there
- Apply patch and run database update
- Verify the local use tab one is gone now
Comment 2 Chris Cormack 2020-10-25 20:49:42 UTC
Created attachment 112483 [details] [review]
Bug 26638: Remove unused system preference ArticleRequestsMandatoryFieldsItemsOnly

The preference was probably added because of a typo, as there is a
used system preference ArticleRequestsMandatoryFieldsItemOnly
(Item vs Items).

This patch fixes the situation:

- syspref.sql had the pref name with the typo, this is fixed.
- A database update removes the unused variable and makes sure
  the used one is added.

To test:
- Look at the local use system preferences, verify the false pref is there
- Look at the other ArticleRequests* preferences, verify the other without "s"
  is there
- Apply patch and run database update
- Verify the local use tab one is gone now

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Martin Renvoize 2020-11-03 08:28:52 UTC
Created attachment 112894 [details] [review]
Bug 26638: Remove unused system preference ArticleRequestsMandatoryFieldsItemsOnly

The preference was probably added because of a typo, as there is a
used system preference ArticleRequestsMandatoryFieldsItemOnly
(Item vs Items).

This patch fixes the situation:

- syspref.sql had the pref name with the typo, this is fixed.
- A database update removes the unused variable and makes sure
  the used one is added.

To test:
- Look at the local use system preferences, verify the false pref is there
- Look at the other ArticleRequests* preferences, verify the other without "s"
  is there
- Apply patch and run database update
- Verify the local use tab one is gone now

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-11-03 08:29:29 UTC
Confirmed the preference is not used, confirmed the DB update is idempotent, confirmed the QA tests pass.

Passing QA.
Comment 5 Jonathan Druart 2020-11-04 12:03:52 UTC
Pushed to master for 20.11, thanks to everybody involved!